MQReceiverChannel (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQReceiverChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQReceiverChannel

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQChannel, java.io.Serializable

All Known Subinterfaces:
  MQClusterReceiverChannel

    public interface MQReceiverChannel

extends MQChannel

Receiver Channel

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getBatchHeartbeatInterval()` Heartbeat interval (parameter identifier: MQIACH_HB_INTERVAL).
`boolean` | `getDataConversion()` Whether sender should convert application data (parameter identifier: MQIACH_DATA_CONVERSION).
`java.lang.String` | `getLocalCommunicationAddress()` Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS).
`int` | `getLongRetryCount()` LONGRTY(integer) - LongRetry, LongRetryCount When a sender, server, or cluster-sender channel is attempting to connect to the remote queue manager, and the count specified by SHORTRTY has been exhausted, this specifies the maximum number of further attempts that are made to connect to the remote queue manager, at intervals specified by LONGTMR.
`int` | `getLongRetryTimer()` LONGTMR(integer) For long retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
`long` | `getMessageRetryCount()` Message retry count (parameter identifier: MQIACH_MR_COUNT).
`java.lang.String` | `getMessageRetryExitName()` Message retry exit name (parameter identifier: MQCACH_MR_EXIT_NAME).
`java.lang.String` | `getMessageRetryExitUserData()` Message retry exit user data (parameter identifier: MQCACH_MR_EXIT_USER_DATA).
`long` | `getMessageRetryInterval()` Message retry interval (parameter identifier: MQIACH_MR_INTERVAL).
`int` | `getPutAuthority()` Put authority (parameter identifier: MQIACH_PUT_AUTHORITY).
`int` | `getShortRetryCount()` The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used.
`int` | `getShortRetryTimer()` For short retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
`boolean` | `hasBatchHeartbeatInterval()`
`boolean` | `hasDataConversion()`
`boolean` | `hasLocalCommunicationAddress()`
`boolean` | `hasLongRetryCount()`
`boolean` | `hasLongRetryTimer()`
`boolean` | `hasMessageRetryCount()`
`boolean` | `hasMessageRetryExitName()`
`boolean` | `hasMessageRetryExitUserData()`
`boolean` | `hasMessageRetryInterval()`
`boolean` | `hasPutAuthority()`
`boolean` | `hasShortRetryCount()`
`boolean` | `hasShortRetryTimer()`
`void` | `setBatchHeartbeatInterval(long x)`
`void` | `setDataConversion(boolean x)`
`void` | `setLocalCommunicationAddress(java.lang.String x)`
`void` | `setLongRetryCount(int x)`
`void` | `setLongRetryTimer(int x)`
`void` | `setMessageRetryCount(long x)`
`void` | `setMessageRetryExitName(java.lang.String x)`
`void` | `setMessageRetryExitUserData(java.lang.String x)`
`void` | `setMessageRetryInterval(long x)`
`void` | `setPutAuthority(int x)`
`void` | `setShortRetryCount(int x)`
`void` | `setShortRetryTimer(int x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQChannel
`getBatchInterval, getBatchSize, getChannelMonitoring, getChannelStatistics, getConnectionName, getDisconnectInterval, getHeaderCompression, getHeartbeatInterval, getKeepAliveInterval, getMaxMessageLength, getMCAName, getMCAType, getMCAUserId, getMCAUserIdentifier, getMessageCompression, getMessageExitName, getMessageExitUserData, getMessageRetry, getMessageRetryTimer, getMessageRetryUserData, getName, getNonPersistentMessageSpeed, getProtocolEndpoint, getQueueManager, getQueueSharingGroupDisposition, getReceiveExitName, getReceiveExitUserData, getSecurityExitName, getSecurityExitUserData, getSendExitName, getSendExitUserData, getSequenceNumberWrap, getShortRetry, getSSLCipherSpecification, getSSLClientAuthentication, getSSLPeer, getTransmissionQueue, getUserID, hasBatchInterval, hasBatchSize, hasChannelMonitoring, hasChannelStatistics, hasConnectionName, hasDisconnectInterval, hasHeaderCompression, hasHeartbeatInterval, hasKeepAliveInterval, hasMaxMessageLength, hasMCAName, hasMCAType, hasMCAUserId, hasMCAUserIdentifier, hasMessageCompression, hasMessageExitName, hasMessageExitUserData, hasMessageRetry, hasMessageRetryTimer, hasMessageRetryUserData, hasName, hasNonPersistentMessageSpeed, hasProtocolEndpoint, hasQueueManager, hasQueueSharingGroupDisposition, hasReceiveExitName, hasReceiveExitUserData, hasSecurityExitName, hasSecurityExitUserData, hasSendExitName, hasSendExitUserData, hasSequenceNumberWrap, hasShortRetry, hasSSLCipherSpecification, hasSSLClientAuthentication, hasSSLPeer, hasTransmissionQueue, hasUserID, setBatchInterval, setBatchSize, setChannelMonitoring, setChannelStatistics, setConnectionName, setDisconnectInterval, setHeaderCompression, setHeartbeatInterval, setKeepAliveInterval, setMaxMessageLength, setMCAName, setMCAType, setMCAUserId, setMCAUserIdentifier, setMessageCompression, setMessageExitName, setMessageExitUserData, setMessageRetry, setMessageRetryTimer, setMessageRetryUserData, setName, setNonPersistentMessageSpeed, setProtocolEndpoint, setQueueManager, setQueueSharingGroupDisposition, setReceiveExitName, setReceiveExitUserData, setSecurityExitName, setSecurityExitUserData, setSendExitName, setSendExitUserData, setSequenceNumberWrap, setShortRetry, setSSLCipherSpecification, setSSLClientAuthentication, setSSLPeer, setTransmissionQueue, setUserID`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPutAuthority

    int getPutAuthority()
                        throws AttributeNotSetException

  Put authority (parameter identifier: MQIACH_PUT_AUTHORITY).

  Throws:
    `AttributeNotSetException`

### setPutAuthority

    void setPutAuthority(int x)

### hasPutAuthority

    boolean hasPutAuthority()

### getBatchHeartbeatInterval

    long getBatchHeartbeatInterval()
                                   throws AttributeNotSetException

  Heartbeat interval (parameter identifier: MQIACH_HB_INTERVAL).

  Throws:
    `AttributeNotSetException`

### setBatchHeartbeatInterval

    void setBatchHeartbeatInterval(long x)

### hasBatchHeartbeatInterval

    boolean hasBatchHeartbeatInterval()

### getMessageRetryExitUserData

    java.lang.String getMessageRetryExitUserData()
                                                 throws AttributeNotSetException

  Message retry exit user data (parameter identifier: MQCACH_MR_EXIT_USER_DATA). Specifies user data that is passed to the message retry exit. This parameter is only valid for receiver, cluster-receiver, and requester channels. The maximum length of the string is MQ_EXIT_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMessageRetryExitUserData

    void setMessageRetryExitUserData(java.lang.String x)

### hasMessageRetryExitUserData

    boolean hasMessageRetryExitUserData()

### getLocalCommunicationAddress

    java.lang.String getLocalCommunicationAddress()
                                                  throws AttributeNotSetException

  Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS). The maximum length of the string is MQ_LOCAL_ADDRESS_LENGTH.

  Throws:
    `AttributeNotSetException`

### setLocalCommunicationAddress

    void setLocalCommunicationAddress(java.lang.String x)

### hasLocalCommunicationAddress

    boolean hasLocalCommunicationAddress()

### getMessageRetryCount

    long getMessageRetryCount()
                              throws AttributeNotSetException

  Message retry count (parameter identifier: MQIACH_MR_COUNT). Specifies the number of times that a failing message should be retried. This parameter is only valid for receiver, cluster-receiver, and requester channels.

  Throws:
    `AttributeNotSetException`

### setMessageRetryCount

    void setMessageRetryCount(long x)

### hasMessageRetryCount

    boolean hasMessageRetryCount()

### getShortRetryTimer

    int getShortRetryTimer()
                           throws AttributeNotSetException

  For short retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager. The time is approximate - zero means that another connection attempt is made as soon as possible. The interval between retries might be extended if the channel has to wait to become active. The value must be in the range zero through 999 999 999. Note: For implementation reasons, the maximum retry interval that can be used is 999 999 - values exceeding this are treated as 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR

  Throws:
    `AttributeNotSetException`

### setShortRetryTimer

    void setShortRetryTimer(int x)

### hasShortRetryTimer

    boolean hasShortRetryTimer()

### getDataConversion

    boolean getDataConversion()
                              throws AttributeNotSetException

  Whether sender should convert application data (parameter identifier: MQIACH_DATA_CONVERSION).

  Throws:
    `AttributeNotSetException`

### setDataConversion

    void setDataConversion(boolean x)

### hasDataConversion

    boolean hasDataConversion()

### getShortRetryCount

    int getShortRetryCount()
                           throws AttributeNotSetException

  The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used. Retry attempts are made if the channel fails to connect initially (whether it is started automatically by the channel initiator or by an explicit command), and also if the connection fails after the channel has successfully connected. However, if the cause of the failure is such that retry is unlikely to be successful, retries are not attempted. The value must be in the range zero through 999 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR

  Throws:
    `AttributeNotSetException`

### setShortRetryCount

    void setShortRetryCount(int x)

### hasShortRetryCount

    boolean hasShortRetryCount()

### getLongRetryTimer

    int getLongRetryTimer()
                          throws AttributeNotSetException

  LONGTMR(integer) For long retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager. The time is approximate - zero means that another connection attempt is made as soon as possible. The interval between retries might be extended if the channel has to wait to become active. The value must be in the range zero through 999 999 999. Note: For implementation reasons, the maximum retry interval that can be used is 999 999 - values exceeding this are treated as 999 999.

  Throws:
    `AttributeNotSetException`

### setLongRetryTimer

    void setLongRetryTimer(int x)

### hasLongRetryTimer

    boolean hasLongRetryTimer()

### getMessageRetryInterval

    long getMessageRetryInterval()
                                 throws AttributeNotSetException

  Message retry interval (parameter identifier: MQIACH_MR_INTERVAL). Specifies the minimum time interval in milliseconds between retries of failing messages. This parameter is only valid for receiver, cluster-receiver, and requester channels.

  Throws:
    `AttributeNotSetException`

### setMessageRetryInterval

    void setMessageRetryInterval(long x)

### hasMessageRetryInterval

    boolean hasMessageRetryInterval()

### getLongRetryCount

    int getLongRetryCount()
                          throws AttributeNotSetException

  LONGRTY(integer) - LongRetry, LongRetryCount When a sender, server, or cluster-sender channel is attempting to connect to the remote queue manager, and the count specified by SHORTRTY has been exhausted, this specifies the maximum number of further attempts that are made to connect to the remote queue manager, at intervals specified by LONGTMR. If this count is also exhausted without success, an error is logged to the operator, and the channel is stopped. The channel must subsequently be restarted with a command (it is not started automatically by the channel initiator). The value must be in the range zero through 999 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR.

  Throws:
    `AttributeNotSetException`

### setLongRetryCount

    void setLongRetryCount(int x)

### hasLongRetryCount

    boolean hasLongRetryCount()

### getMessageRetryExitName

    java.lang.String getMessageRetryExitName()
                                             throws AttributeNotSetException

  Message retry exit name (parameter identifier: MQCACH_MR_EXIT_NAME). This parameter is only valid for receiver, cluster-receiver, and requester channels. The maximum length of the string is MQ_MAX_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMessageRetryExitName

    void setMessageRetryExitName(java.lang.String x)

### hasMessageRetryExitName

    boolean hasMessageRetryExitName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD